Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Points

List
GET /highscores/{highscoreId}/points
https://api.relesysapp.net/api/v1.2/highscores/{highscoreId}/points
Get a list of all points given for the highscore with ID highscoreId.
Default sort is by creationDateTime in ascending order.

isManuallyGiven indicates whether a point entry has been manually given or not.
isActive indicates whether a point entry is given after the highscore's last time of point reset.
Scopes: relesys.api, relesys.api:read, relesys.api.highscores, relesys.api.highscores:read
URL Path
highscoreId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
isActive boolean Filterable optional
isManuallyGiven boolean Filterable optional
userId string / guid Filterable optional
value integer Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"ac8ae163-992b-4385-97ce-1c1f406a1635","userId":"abd66945-280a-4d63-93e3-a5cb5e14df41","creationDateTime":"2026-04-27T17:48:06.8265489+00:00","description":"Example description 1","isManuallyGiven":true,"isActive":false,"value":10},{"id":"a21c9efe-aed9-4a3b-8d3a-018978e4f874","userId":"6346a199-620b-4b0e-97ef-5cb35e8a75f2","creationDateTime":"2026-04-30T17:48:06.8265489+00:00","description":"Example description 2","isManuallyGiven":false,"isActive":true,"value":25}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   description string      
   id string / guid      
   isActive boolean      
   isManuallyGiven boolean      
   userId string / guid      
   value integer      
  nextUrl string      
  previousUrl string